parameters:
    webkul_prestashop_connector.step.category_step.class:         Webkul\PrestashopConnectorBundle\Step\CategoryExportStep
    webkul_prestashop_connector.step.attribute_step.class:        Webkul\PrestashopConnectorBundle\Step\AttributeExportStep
    webkul_prestashop_connector.step.attribute_option_step.class: Webkul\PrestashopConnectorBundle\Step\AttributeOptionExportStep
    webkul_prestashop_connector.step.product_model_step.class:    Webkul\PrestashopConnectorBundle\Step\ProductModelExportStep
    webkul_prestashop_connector.step.product_step.class:          Webkul\PrestashopConnectorBundle\Step\ProductExportStep

services:
    # Category Export Step
    webkul_prestashop_connector.step.prestashop_category.export:
        class: '%webkul_prestashop_connector.step.category_step.class%'
        arguments:
            - 'category_export'                                                    # Export name
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@webkul_prestashop_connector.reader.database.category'              # Reader
            - '@pim_connector.processor.normalization.category'                    # Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_category' # Writer
            - '@webkul_prestashop_connector.repository.credentials'                 
            - 10
            - '@akeneo_batch.job.job_stopper'

    # Attribute Export Step
    webkul_prestashop_connector.step.prestashop_attribute.export:
        class: '%webkul_prestashop_connector.step.attribute_step.class%'
        arguments:
            - 'attribute_export'                                                    # Export name
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@webkul_prestashop_connector.reader.attribute'                       # Reader
            - '@pim_connector.processor.normalization.attribute'                    # Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_attribute' # Writer
            - '@webkul_prestashop_connector.repository.credentials'                  
            - 10
            - '@akeneo_batch.job.job_stopper'
    
    # Attribute Option Export Step
    webkul_prestashop_connector.step.prestashop_attribute_option.export:
        class: '%webkul_prestashop_connector.step.attribute_option_step.class%'
        arguments:
            - 'attribute_option_export'                                                     # Export name
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@webkul_prestashop_connector.reader.attribute_option'                             # Reader
            - '@pim_connector.processor.normalization.attribute_option'                     # Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_attribute_option'  # Writer
            - '@webkul_prestashop_connector.repository.credentials'                          
            - 10
            - '@akeneo_batch.job.job_stopper'

    # Product Model Export Step
    webkul_prestashop_connector.step.prestashop_product_model.export:
        class: '%webkul_prestashop_connector.step.product_model_step.class%'
        arguments:
            - 'product_model_export'                                                    # Export name
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            # - '@pim_connector.reader.database.product_model'                          # Reader
            - '@webkul_prestashop_connector.reader.database.product'                    # Reader
            - '@webkul_prestashop_connector.processor.normalization.product_model'      # Custom Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_product_model' # Writer
            - '@webkul_prestashop_connector.repository.credentials'                      
            - 10 # Batch size
            - '@akeneo_batch.job.job_stopper'
    
    # Product Export Step
    webkul_prestashop_connector.step.prestashop_product.export:
        class: '%webkul_prestashop_connector.step.product_step.class%'
        arguments:
            - 'product_export'                                                    # Export name
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.database.product'                               # Reader
            - '@webkul_prestashop_connector.processor.normalization.product'      # Custom Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_product' # Writer
            - '@webkul_prestashop_connector.repository.credentials'                
            - 10 # Batch size
            - '@akeneo_batch.job.job_stopper'

    # Product Model Quick Export Step
    webkul_prestashop_connector.step.prestashop_product_model_quick.export:
        class: '%webkul_prestashop_connector.step.product_model_step.class%'
        arguments:
            - 'product_model_quick_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_enrich.reader.database.product_and_product_model'
            - '@webkul_prestashop_connector.processor.normalization.product_model'      # Custom Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_product_model'
            - '@webkul_prestashop_connector.repository.credentials'
            - 10
            - '@akeneo_batch.job.job_stopper'
    
    # Product Quick Export Step
    webkul_prestashop_connector.step.prestashop_product_quick.export:
        class: '%webkul_prestashop_connector.step.product_step.class%'
        arguments:
            - 'product_quick_export'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_enrich.reader.database.product_and_product_model'
            - '@webkul_prestashop_connector.processor.normalization.product'      # Custom Processor
            - '@webkul_prestashop_connector.writer.webservice.prestashop_product'
            - '@webkul_prestashop_connector.repository.credentials'
            - 10
            - '@akeneo_batch.job.job_stopper'
            